package patrones.chainofresponsability.eje1;

public class RegionalDirector extends PRHandler {
	static double LIMIT = 100000;

	public RegionalDirector(String name) {
		super(name);
	}

	public boolean authorize(PurchaseRequest request) {
		double amount = request.getAmount();
		if (amount <= LIMIT) {
			System.out.println("Regional Director " + getName()
					+ " has authorized the PR  " + request);
			return true;
		} else {
			// forward the request to the next handler
			return getNextHandler().authorize(request);
		}
	}
}
