package patrones.chainofresponsability.eje1;

public class PresidentCOO extends PRHandler {
	static double LIMIT = 400000;

	public PresidentCOO(String name) {
		super(name);
	}

	public boolean authorize(PurchaseRequest request) {
		double amount = request.getAmount();
		if (amount <= LIMIT) {
			System.out.println("President & COO " + getName()
					+ " has authorized the PR  " + request);
			return true;
		} else {
			System.out.println("PR - " + request
					+ " couldn't be authorized. "
					+ "Executive Board needs to be "
					+ "consulted for approval " + "reason: Amount too large");
			return false;
		}
	}
}
